/*
 * Arr.c
 *
 *  Created on: 21 нояб. 2023 г.
 *      Author: seklyuts
 */

#include "f28x_project.h"

uint16_t quant16bitWords(uint16_t bytes)
{
        if((bytes) & 1) return (bytes + 1)/2;   //если осталось нечётное число байт, то чтобы рассчитать кол-во 16-битных слов надо +1
        else return  (bytes)/2;
}

void copy16_to_8(uint16_t *Arr16, uint16_t *Arr8, uint16_t N)
{
    uint16_t j=0;
    for(j = 0; j < N; j+=1) {Arr8[2*j] = 0xFF & Arr16[j]; Arr8[2*j+1] = (Arr16[j]>>8);}
}


void copy8_to_16(uint16_t *Arr8, uint16_t *Arr16, uint16_t N)
{
    uint16_t j=0;
    for(j = 0; j < N; j+=1) Arr16[j] = (0xFF & Arr8[2*j]) + (Arr8[2*j+1]<<8);
}
